package de.intevation.flys.artifacts.services;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import de.intevation.artifacts.CallMeta;

import de.intevation.artifacts.common.ArtifactNamespaceContext;
import de.intevation.artifacts.common.utils.XMLUtils;

import de.intevation.artifactdatabase.DefaultService;


/**
 * This service provides information about the supported rivers by this
 * application.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class RiverService extends DefaultService {

    /** The logger used in this service.*/
    private static Logger logger = Logger.getLogger(RiverService.class);


    /**
     * The default constructor.
     */
    public RiverService() {
    }


    public Document process(
        Document data,
        Object   globalContext,
        CallMeta callMeta)
    {
        logger.debug("RiverService.process");

        Document result = XMLUtils.newDocument();

        XMLUtils.ElementCreator ec = new XMLUtils.ElementCreator(
            result,
            ArtifactNamespaceContext.NAMESPACE_URI,
            ArtifactNamespaceContext.NAMESPACE_PREFIX);

        // TODO fetch the rivers from database
        Element rivers = ec.create("rivers");

        Element saar = ec.create("river");
        ec.addAttr(saar, "name", "Saar", true);

        Element mosel = ec.create("river");
        ec.addAttr(mosel, "name", "Mosel", true);

        rivers.appendChild(saar);
        rivers.appendChild(mosel);
        result.appendChild(rivers);

        return result;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
